package com.chenyang.nse.bussiness.entity.orm.table.core.findCharts;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_FINDCHARTS_THREE"
)
public class EchartsThree extends TBaseEntity {
   private String datafiledNumber;
   private String versionName;
   private String versionid;
   private String taskid;
   private String taskName;

   public EchartsThree(String datafiledNumber, String versionName, String versionid, String taskid, String taskName) {
      this.datafiledNumber = datafiledNumber;
      this.versionName = versionName;
      this.versionid = versionid;
      this.taskid = taskid;
      this.taskName = taskName;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getTaskName() {
      return this.taskName;
   }

   public void setTaskName(String taskName) {
      this.taskName = taskName;
   }

   public String getDatafiledNumber() {
      return this.datafiledNumber;
   }

   public void setDatafiledNumber(String datafiledNumber) {
      this.datafiledNumber = datafiledNumber;
   }

   public String getVersionName() {
      return this.versionName;
   }

   public void setVersionName(String versionName) {
      this.versionName = versionName;
   }

   public String getVersionid() {
      return this.versionid;
   }

   public void setVersionid(String versionid) {
      this.versionid = versionid;
   }

   public EchartsThree(String datafiledNumber, String versionName, String versionid) {
      this.datafiledNumber = datafiledNumber;
      this.versionName = versionName;
      this.versionid = versionid;
   }

   public EchartsThree() {
   }
}
